//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Feb 2005)
//
//  This file is part of hxBrowser.
//  
//  Description: Definition of the hxHelpBrowser class
//----------------------------------------------------------------------
#ifndef hxHelpBrowser_h
#define hxHelpBrowser_h

#include <qwidget.h>

class QPushButton;
class QTextBrowser;
    
class hxHelpBrowser :  public QWidget
{
    Q_OBJECT
public:
    hxHelpBrowser(const QString &path, const QString &page,
        QWidget *parent = 0, const char *name = 0);
    
    static void showPage(const QString &page);

private slots:
    void updateCaption();

private:
    QTextBrowser *mTextBrowser;
    QPushButton  *mHomeButton;
    QPushButton  *mBackButton;
    QPushButton  *mCloseButton;
};
#endif
