#----------------------------------------------------------------------
#  Author: Thomas S. Ullrich (Feb 2005)
#
#  This file is part of hxBrowser.
#  
#  Description: hxBrowser project file for Qt (qmake)
#----------------------------------------------------------------------
TEMPLATE  = app
LANGUAGE  = C++

CONFIG	 += qt opengl warn_on debug rtti

OBJECTS_DIR = tmp\obj
MOC_DIR     = tmp\moc

unix:INCLUDEPATH += /usr/include/GL

HEADERS   =  \
	PhysicalConstants.h \
	StHelix.h \
	StPhysicalHelix.h \
	StThreeVector.h \
	SystemOfUnits.h \
	hxAlgorithmWindowImp.h \
	hxCanvas.h \
	hxHelpBrowser.h \
	hxMainWindowImp.h \
	hxSettings.h \
	hxSettingsDialog.h \
	hxVersion.h
SOURCES   =  \
	StHelix.cpp \
	StPhysicalHelix.cpp \
	hxAlgorithmWindowImp.cpp \
	hxCanvas.cpp \
	hxHelpBrowser.cpp \
	hxMainWindowImp.cpp \
	hxSettings.cpp \
	hxSettingsDialog.cpp \
	main.cpp
FORMS     =  \
	hxAlgorithmWindow.ui \
	hxMainWindow.ui

          
